Retrieves the unavailability with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_unavailability
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
date_start

Date+Time of the beginning

date

Required

date_end

Date+Time of the end

date

Required

modified_dateutc

Date+Time of the modified

date

Required

description

Description of the unavailability

string

Max length: 255

is_approved

Indicate if this object has been approved using a User Week Approval

boolean
user_id

User owner of this unavailability

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_unavailability

user

Optionally required : user_id, user_code or user must be provided

user_unavailability_type_id

Type of the unavailability, cf model user_unavailability_type

globally unique identifier

Required

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type_code

Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type

Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability

user_unavailability_type

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

Response Formats

application/json, text/json

Sample:
{
  "id": "e86c66ca-191b-4bef-973a-e51d8e146ce8",
  "date_start": "2026-10-16T14:27:44.0124655+00:00",
  "date_end": "2026-10-16T14:27:44.0124655+00:00",
  "modified_dateutc": "2026-10-16T14:27:44.0124655+00:00",
  "description": "sample string 5",
  "is_approved": true,
  "user_id": "2c28e2cc-7b28-4aa5-af49-234c527e0dd0",
  "user_code": "sample string 8",
  "user": {
    "id": "083fad26-b68a-4bf8-8489-5860502574cc",
    "db_language_id": "dcf829cd-d54d-4256-8160-444a0a693df8",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-10-16T14:27:44.0124655+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "9cde9d2b-1489-4f8a-bd3b-08c4898b496d",
    "sales_organization": {
      "id": "5ede40a9-6e01-47bb-b86e-babe68ecfc72",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "47cf3019-799e-4b3d-a2fc-c429a8ef1ae8",
      "db_currency_id": "19e146a2-db0e-46cd-b4fd-d9e241fe86b5",
      "db_language_id": "4bef977c-1fb2-4651-a67e-c3422f264f96",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-16T14:27:44.0124655+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "c0c16dcb-1119-429d-9223-a78eee3bb0cf",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "0a81698d-5d37-481c-9428-76432a2f00b0",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-10-16T14:27:44.0124655+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "71c878a9-c0af-4b0a-b699-6aac4a8579f7"
  },
  "user_unavailability_type_id": "9a377cbe-173d-4532-97d0-21549f4031de",
  "user_unavailability_type_code": "sample string 10",
  "user_unavailability_type": {
    "id": "504b14c1-bbe9-4256-a81a-c0c8b6a52c7f",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "sales_organization_id": "855987a3-ba59-4e42-83e5-de0ff2db3d4b",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "5ede40a9-6e01-47bb-b86e-babe68ecfc72",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "47cf3019-799e-4b3d-a2fc-c429a8ef1ae8",
      "db_currency_id": "19e146a2-db0e-46cd-b4fd-d9e241fe86b5",
      "db_language_id": "4bef977c-1fb2-4651-a67e-c3422f264f96",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-16T14:27:44.0124655+00:00"
    },
    "modified_dateutc": "2026-10-16T14:27:44.0259121+00:00"
  }
}